#include <bits/stdc++.h>
#include "partition.h"
using namespace std;



vector<int> solve(vector<int> A) {
    vector <int> ans;
    for (int i = 0; i < A.size(); i ++) ans.push_back(i);
    if (A.size() % 2 == 1) swap(ans[A.size() - 1], ans[A.size() / 2]);
    if (A.size() % 2 == 0) swap(ans[A.size() - 1], ans[A.size() / 2 - 1]);
    return ans;
}